Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMUnresolvedReference

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMUnresolvedReference

public class SOMUnresolvedReference
extends SOMObject
implements SOMReference

Place holder for element(s) and attribute(s) not yet defined. When building a schema, the element or attribute reference for may not be available at the time the construction of the element or attribute is done. SOMUnresolvedReference is a place holder for those cases. Use SOMSchema.resolveReferences once the referenced object is available in the schema.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`SOMUnresolvedReference(SOMObject parent, java.lang.String name)` Creating a SOMUnresolvedReference registers this instance in the schema's table of unresolved references.

Method Summary
`boolean` | `contains(SOMObject child)`
`java.lang.String` | `getID()` Returns a printable element tag for this Schema Object
`java.lang.String` | `getName()`
`void` | `setRef(SOMReference ref)`
`void` | `toXML(java.io.Writer rtn, int indent)` Outputs a formatted XML representation of SOMObject.

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMUnresolvedReference

    public SOMUnresolvedReference(SOMObject parent,
                                  java.lang.String name)

  Creating a SOMUnresolvedReference registers this instance in the schema's table of unresolved references. The parent and name must be non-null references.

  Parameters:
    `parent` -
    `name` -

Method Detail

### getID

    public java.lang.String getID()

  Returns a printable element tag for this Schema Object
  Specified by:
    getID in interface SOMReference

  Returns:
    String representation of the element tag
  Overrides:
    getID in class SOMObject

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface SOMReference

### setRef

    public void setRef(SOMReference ref)

  Specified by:
    setRef in interface SOMReference

### contains

    public boolean contains(SOMObject child)

  Specified by:
    contains in interface SOMReference

  Returns:
    false

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Outputs a formatted XML representation of SOMObject.

  Parameters:
    `indent` - the indent level for formatting at which to start this schema object.
  Returns:
    formatted XML stream
  Overrides:
    toXML in class SOMObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)